Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Zwei Probleme in X11
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in X11
ID: SUSE-SU-2017:1860-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 12-SP2, SUSE Linux Enterprise Software Development Kit 12-SP2, SUSE Linux Enterprise Server 12-SP2, SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
Datum: Sa, 15. Juli 2017, 17:46
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10971
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10972

Originalnachricht

   SUSE Security Update: Security update for xorg-x11-server
______________________________________________________________________________

Announcement ID: SUSE-SU-2017:1860-1
Rating: important
References: #1035283
Cross-References: CVE-2017-10971 CVE-2017-10972
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP2
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
SUSE Linux Enterprise Server 12-SP2
SUSE Linux Enterprise Desktop 12-SP2
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for xorg-x11-server provides the following fixes:

- CVE-2017-10971: Fix endianess handling of GenericEvent to prevent a
stack overflow by clients. (bnc#1035283)
- Make sure the type of all events to be sent by ProcXSendExtensionEvent
are in the allowed range.
- CVE-2017-10972: Initialize the xEvent eventT with zeros to avoid
information leakage.


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP2:

zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-1148=1

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:

zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-1148=1

- SUSE Linux Enterprise Server 12-SP2:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-1148=1

- SUSE Linux Enterprise Desktop 12-SP2:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-1148=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le
s390x x86_64):

xorg-x11-server-debuginfo-7.6_1.18.3-74.2
xorg-x11-server-debugsource-7.6_1.18.3-74.2
xorg-x11-server-sdk-7.6_1.18.3-74.2

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):

xorg-x11-server-7.6_1.18.3-74.2
xorg-x11-server-debuginfo-7.6_1.18.3-74.2
xorg-x11-server-debugsource-7.6_1.18.3-74.2
xorg-x11-server-extra-7.6_1.18.3-74.2
xorg-x11-server-extra-debuginfo-7.6_1.18.3-74.2

- SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le x86_64):

xorg-x11-server-7.6_1.18.3-74.2
xorg-x11-server-debuginfo-7.6_1.18.3-74.2
xorg-x11-server-debugsource-7.6_1.18.3-74.2
xorg-x11-server-extra-7.6_1.18.3-74.2
xorg-x11-server-extra-debuginfo-7.6_1.18.3-74.2

- SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

xorg-x11-server-7.6_1.18.3-74.2
xorg-x11-server-debuginfo-7.6_1.18.3-74.2
xorg-x11-server-debugsource-7.6_1.18.3-74.2
xorg-x11-server-extra-7.6_1.18.3-74.2
xorg-x11-server-extra-debuginfo-7.6_1.18.3-74.2


References:

https://www.suse.com/security/cve/CVE-2017-10971.html
https://www.suse.com/security/cve/CVE-2017-10972.html
https://bugzilla.suse.com/1035283

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung